System.Web 2.0.0.0 System.Enum

The enumeration describes how data cached by a data source control expires in the ASP.NET cache. An ASP.NET data source control caches data in the ASP.NET cache based on a specified time-out period, which is set using the CacheDuration property. The describes how this time-out setting is used. If the expiration policy is set to , the cached data is discarded when the amount of time specified passes since the data was first cached. If the expiration policy is set to , the cached data is discarded only when the cache entry has not been used for the amount of time specified.

Describes the way data cached using ASP.NET caching mechanisms expires when a time-out is set.

- Field
  System.Web.UI.DataSourceCacheExpiry

  Cached data expires when the amount of time specified by the CacheDuration property has passed since the data was first cached.

  2.0.0.0
- Field
  System.Web.UI.DataSourceCacheExpiry

  Cached data expires only when the cache entry has not been used for the amount of time specified by the CacheDuration property.

  2.0.0.0